Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.operationExecution
Class AbstractOperationExecutionAspectServlet

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspect
              kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspectServlet

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  OperationExecutionAspectAnnotationServlet, OperationExecutionAspectFullNoGetterAndSetterServlet, OperationExecutionAspectFullServlet

    public abstract class AbstractOperationExecutionAspectServlet

extends AbstractOperationExecutionAspect

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Constructor Summary
`AbstractOperationExecutionAspectServlet()`

Method Summary
`abstract void` | `monitoredServlet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`Object` | `servlet(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)`

Methods inherited from class kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspect
`monitoredOperation, operation`

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOperationExecutionAspectServlet

    public AbstractOperationExecutionAspectServlet()

Method Detail

### monitoredServlet

    public abstract void monitoredServlet(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)

### servlet

    public Object servlet(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)
                   throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net